﻿<?xml version="1.0" encoding="utf-8" ?>
<page:PopupPage
    x:Class="MTCT.Views.PopUp.ShowSignaturePopup"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:controls="clr-namespace:SignaturePad.Forms;assembly=SignaturePad.Forms"
    xmlns:local="clr-namespace:MTCT.Extension"
    xmlns:page="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
    xmlns:pan="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView">
    <ContentPage.Content>
        <pan:PancakeView
            Padding="0"
            BackgroundColor="#F5F5F5"
            CornerRadius="10,10,10,10"
            HasShadow="True"
            HeightRequest="300"
            VerticalOptions="CenterAndExpand">
            <pan:PancakeView.HeightRequest>
                <OnIdiom
                    x:TypeArguments="x:Double"
                    Phone="300"
                    Tablet="400" />
            </pan:PancakeView.HeightRequest>
            <pan:PancakeView.Margin>
                <OnIdiom
                    x:TypeArguments="Thickness"
                    Phone="20,0,20,0"
                    Tablet="100,0,100,0" />
            </pan:PancakeView.Margin>

            <Grid
                Margin="0"
                Padding="0"
                BackgroundColor="Transparent"
                RowSpacing="0">
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="Auto" />
                    <RowDefinition Height="*" />
                </Grid.RowDefinitions>

                <ImageButton
                    x:Name="imgCancel"
                    Grid.Row="0"
                    Margin="0,15,15,0"
                    BackgroundColor="Transparent"
                    Clicked="imgCancel_Clicked"
                    HorizontalOptions="EndAndExpand"
                    Source="iconCancel.png"
                    VerticalOptions="CenterAndExpand">
                    <ImageButton.HeightRequest>
                        <OnIdiom
                            x:TypeArguments="x:Double"
                            Phone="15"
                            Tablet="25" />
                    </ImageButton.HeightRequest>
                    <ImageButton.WidthRequest>
                        <OnIdiom
                            x:TypeArguments="x:Double"
                            Phone="15"
                            Tablet="25" />
                    </ImageButton.WidthRequest>
                </ImageButton>

                <StackLayout
                    Grid.Row="1"
                    HorizontalOptions="CenterAndExpand"
                    Orientation="Horizontal"
                    Spacing="3">
                    <Label
                        x:Name="lblHeader"
                        Margin="0,10,0,0"
                        FontAttributes="Bold"
                        Style="{StaticResource HeaderLabel}"
                        Text="{local:Translate lblPleaseSign}"
                        TextColor="{StaticResource FuelBlack}"
                        VerticalOptions="CenterAndExpand" />
                    <Label
                        x:Name="lblName"
                        Margin="10,10,0,0"
                        FontAttributes="Bold"
                        HorizontalTextAlignment="Center"
                        IsVisible="False"
                        Style="{StaticResource SmallLabel}"
                        TextColor="{StaticResource FuelBlack}"
                        VerticalOptions="CenterAndExpand" />
                </StackLayout>

                <Frame
                    x:Name="signaturePadFrame"
                    Grid.Row="2"
                    Margin="10,5,10,5"
                    Padding="3"
                    BackgroundColor="Transparent"
                    BorderColor="Gray"
                    CornerRadius="5"
                    HasShadow="False">
                    <Frame.Margin>
                        <OnIdiom
                            x:TypeArguments="Thickness"
                            Phone="10,5,10,5"
                            Tablet="20,5,20,5" />
                    </Frame.Margin>
                    <Image
                        x:Name="imgSignature"
                        Aspect="Fill"
                        HorizontalOptions="FillAndExpand"
                        VerticalOptions="FillAndExpand" />
                </Frame>
            </Grid>
        </pan:PancakeView>
    </ContentPage.Content>
</page:PopupPage>